Package com.ocient.jdbc.proto

# Class PlanProtocol.UnionOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.UnionOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.UnionOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.UnionOperator

    public static final class PlanProtocol.UnionOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>
    implements PlanProtocol.UnionOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.UnionOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.UnionOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.UnionOperator` | `build()` |
`PlanProtocol.UnionOperator` | `buildPartial()` |
`PlanProtocol.UnionOperator.Builder` | `clear()` |
`PlanProtocol.UnionOperator.Builder` | `clearAll()` | this flag differentiates UNION from UNION ALL
`PlanProtocol.UnionOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.UnionOperator.Builder` | `clearIsSwitchUnion()` | Is this the top of a switch block
`PlanProtocol.UnionOperator.Builder` | `clearNotNeeded()` | If true, this doesn't have to be an exact distinct
`PlanProtocol.UnionOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.UnionOperator.Builder` | `clearUseVector()` | If distinct can be computed with vectors instead of maps
`PlanProtocol.UnionOperator.Builder` | `clone()` |
`boolean` | `getAll()` | this flag differentiates UNION from UNION ALL
`PlanProtocol.UnionOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`boolean` | `getIsSwitchUnion()` | Is this the top of a switch block
`boolean` | `getNotNeeded()` | If true, this doesn't have to be an exact distinct
`boolean` | `getUseVector()` | If distinct can be computed with vectors instead of maps
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.UnionOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.UnionOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.UnionOperator.Builder` | `mergeFrom​(PlanProtocol.UnionOperator other)` |
`PlanProtocol.UnionOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.UnionOperator.Builder` | `setAll​(boolean value)` | this flag differentiates UNION from UNION ALL
`PlanProtocol.UnionOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.UnionOperator.Builder` | `setIsSwitchUnion​(boolean value)` | Is this the top of a switch block
`PlanProtocol.UnionOperator.Builder` | `setNotNeeded​(boolean value)` | If true, this doesn't have to be an exact distinct
`PlanProtocol.UnionOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.UnionOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.UnionOperator.Builder` | `setUseVector​(boolean value)` | If distinct can be computed with vectors instead of maps

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### clear

public PlanProtocol.UnionOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.UnionOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.UnionOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.UnionOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.UnionOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### setField

public PlanProtocol.UnionOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### clearField

public PlanProtocol.UnionOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### clearOneof

public PlanProtocol.UnionOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### setRepeatedField

public PlanProtocol.UnionOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### addRepeatedField

public PlanProtocol.UnionOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### mergeFrom

public PlanProtocol.UnionOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.UnionOperator.Builder>`

### mergeFrom

public PlanProtocol.UnionOperator.Builder mergeFrom​(PlanProtocol.UnionOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### mergeFrom

public PlanProtocol.UnionOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.UnionOperator.Builder>`
Throws:
  `IOException`

### getAll

public boolean getAll()

    this flag differentiates UNION from UNION ALL

`bool all = 1;`

Specified by:
  `getAll` in interface `PlanProtocol.UnionOperatorOrBuilder`

### setAll

public PlanProtocol.UnionOperator.Builder setAll​(boolean value)

    this flag differentiates UNION from UNION ALL

`bool all = 1;`

### clearAll

public PlanProtocol.UnionOperator.Builder clearAll()

    this flag differentiates UNION from UNION ALL

`bool all = 1;`

### getIsSwitchUnion

public boolean getIsSwitchUnion()

    Is this the top of a switch block

`bool is_switch_union = 2;`

Specified by:
  `getIsSwitchUnion` in interface `PlanProtocol.UnionOperatorOrBuilder`

### setIsSwitchUnion

public PlanProtocol.UnionOperator.Builder setIsSwitchUnion​(boolean value)

    Is this the top of a switch block

`bool is_switch_union = 2;`

### clearIsSwitchUnion

public PlanProtocol.UnionOperator.Builder clearIsSwitchUnion()

    Is this the top of a switch block

`bool is_switch_union = 2;`

### getNotNeeded

public boolean getNotNeeded()

    If true, this doesn't have to be an exact distinct

`bool not_needed = 3;`

Specified by:
  `getNotNeeded` in interface `PlanProtocol.UnionOperatorOrBuilder`

### setNotNeeded

public PlanProtocol.UnionOperator.Builder setNotNeeded​(boolean value)

    If true, this doesn't have to be an exact distinct

`bool not_needed = 3;`

### clearNotNeeded

public PlanProtocol.UnionOperator.Builder clearNotNeeded()

    If true, this doesn't have to be an exact distinct

`bool not_needed = 3;`

### getUseVector

public boolean getUseVector()

    If distinct can be computed with vectors instead of maps

`bool use_vector = 4;`

Specified by:
  `getUseVector` in interface `PlanProtocol.UnionOperatorOrBuilder`

### setUseVector

public PlanProtocol.UnionOperator.Builder setUseVector​(boolean value)

    If distinct can be computed with vectors instead of maps

`bool use_vector = 4;`

### clearUseVector

public PlanProtocol.UnionOperator.Builder clearUseVector()

    If distinct can be computed with vectors instead of maps

`bool use_vector = 4;`

### setUnknownFields

public final PlanProtocol.UnionOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.UnionOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.UnionOperator.Builder>`